Package org.snpeff.genBank

# Class Feature

java.lang.Object
org.snpeff.genBank.Feature

All Implemented Interfaces:
  `Iterable<FeatureCoordinates>`

public class Feature extends Object implements Iterable<FeatureCoordinates>
A feature in a GenBank or EMBL file

Author:
  pablocingolani

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Feature.Type`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPLEMENT_STRING`

## Constructor Summary

Constructors
Constructor
Description
`Feature(Feature.Type type, String def)`
`Feature(Feature.Type type, String def, int start, int end, boolean complement, int lineNum)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(FeatureCoordinates fc)`
`String`
`get(String name)`
Get a qualifier by name
`String`
`getAasequence()`
Get translated amino acid sequence
`int`
`getEnd()`
`String`
`getGeneId()`
`String`
`getGeneName()`
Get gene name from feature
`String`
`getMaturePeptideId()`
Create an ID based on a feature
`int`
`getStart()`
`String`
`getTranscriptId()`
Create a transcript ID based on a feature
`Feature.Type`
`getType()`
`boolean`
`hasMultipleCoordinates()`
`boolean`
`isComplement()`
`boolean`
`isRibosomalSlippage()`
`Iterator<FeatureCoordinates>`
`iterator()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### COMPLEMENT_STRING

public static final String COMPLEMENT_STRING

See Also:
  - Constant Field Values

## Constructor Details

### Feature

public Feature(Feature.Type type, String def)

### Feature

public Feature(Feature.Type type, String def, int start, int end, boolean complement, int lineNum)

## Method Details

### add

public void add(FeatureCoordinates fc)

### get

public String get(String name)
Get a qualifier by name

### getAasequence

public String getAasequence()
Get translated amino acid sequence

### getEnd

public int getEnd()

### getGeneId

public String getGeneId()

### getGeneName

public String getGeneName()
Get gene name from feature

### getMaturePeptideId

public String getMaturePeptideId()
Create an ID based on a feature

### getStart

public int getStart()

### getTranscriptId

public String getTranscriptId()
Create a transcript ID based on a feature

### getType

public Feature.Type getType()

### hasMultipleCoordinates

public boolean hasMultipleCoordinates()

### isComplement

public boolean isComplement()

### isRibosomalSlippage

public boolean isRibosomalSlippage()

### iterator

public Iterator<FeatureCoordinates> iterator()

Specified by:
  `iterator` in interface `Iterable<FeatureCoordinates>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`